%% Demo

% Save initial path
pp = path;

% Add path of GUI class files
me = mfilename;                    % What is my filename?
mydir = which(me);                 % Where am I located?
mydir = mydir(1:end-2-numel(me));
if isempty(strfind(path,mydir))
    addpath(mydir);
    addpath([mydir,'Lokale_Modellnetze'])
end


% Load models that should be visualized through the GUI (it is possible to
% read in more models within the GUI later)
hg2d = load('hyperbelGauss2D.mat');
hg3d = load('hyperbelGauss3D.mat');

% Open GUI
GUIvisualize(hg2d.model,hg3d.model);

% Reset path
path(pp);